<?php
require_once(getabspath("classes/cipherer.php"));
$tdatacuenta = array();
	$tdatacuenta[".NumberOfChars"] = 80; 
	$tdatacuenta[".ShortName"] = "cuenta";
	$tdatacuenta[".OwnerID"] = "";
	$tdatacuenta[".OriginalTable"] = "cuenta";

//	field labels
$fieldLabelscuenta = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelscuenta["Spanish"] = array();
	$fieldToolTipscuenta["Spanish"] = array();
	$fieldLabelscuenta["Spanish"]["idcuenta"] = "ID Cuenta";
	$fieldToolTipscuenta["Spanish"]["idcuenta"] = "";
	$fieldLabelscuenta["Spanish"]["denominacion"] = "Denominación";
	$fieldToolTipscuenta["Spanish"]["denominacion"] = "";
	$fieldLabelscuenta["Spanish"]["fecha_alta"] = "Fecha Alta";
	$fieldToolTipscuenta["Spanish"]["fecha_alta"] = "";
	$fieldLabelscuenta["Spanish"]["saldo"] = "Saldo";
	$fieldToolTipscuenta["Spanish"]["saldo"] = "";
	$fieldLabelscuenta["Spanish"]["estado"] = "Estado";
	$fieldToolTipscuenta["Spanish"]["estado"] = "";
	$fieldLabelscuenta["Spanish"]["idusuario"] = "Usuario en ejercicio";
	$fieldToolTipscuenta["Spanish"]["idusuario"] = "";
	if (count($fieldToolTipscuenta["Spanish"]))
		$tdatacuenta[".isUseToolTips"] = true;
}
	
	
	$tdatacuenta[".NCSearch"] = true;



$tdatacuenta[".shortTableName"] = "cuenta";
$tdatacuenta[".nSecOptions"] = 0;
$tdatacuenta[".recsPerRowList"] = 1;
$tdatacuenta[".mainTableOwnerID"] = "";
$tdatacuenta[".moveNext"] = 1;
$tdatacuenta[".nType"] = 0;

$tdatacuenta[".strOriginalTableName"] = "cuenta";




$tdatacuenta[".showAddInPopup"] = true;

$tdatacuenta[".showEditInPopup"] = true;

$tdatacuenta[".showViewInPopup"] = false;

$tdatacuenta[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdatacuenta[".listAjax"] = true;
else 
	$tdatacuenta[".listAjax"] = false;

	$tdatacuenta[".audit"] = false;

	$tdatacuenta[".locking"] = false;

$tdatacuenta[".edit"] = true;
$tdatacuenta[".inlineAdd"] = true;

$tdatacuenta[".exportTo"] = true;


$tdatacuenta[".delete"] = true;

$tdatacuenta[".showSimpleSearchOptions"] = false;

$tdatacuenta[".showSearchPanel"] = true;

if (isMobile())
	$tdatacuenta[".isUseAjaxSuggest"] = false;
else 
	$tdatacuenta[".isUseAjaxSuggest"] = true;

$tdatacuenta[".rowHighlite"] = true;

// button handlers file names

$tdatacuenta[".addPageEvents"] = true;

// use timepicker for search panel
$tdatacuenta[".isUseTimeForSearch"] = false;




$tdatacuenta[".allSearchFields"] = array();

$tdatacuenta[".allSearchFields"][] = "denominacion";
$tdatacuenta[".allSearchFields"][] = "fecha_alta";
$tdatacuenta[".allSearchFields"][] = "saldo";
$tdatacuenta[".allSearchFields"][] = "estado";
$tdatacuenta[".allSearchFields"][] = "idusuario";

$tdatacuenta[".googleLikeFields"][] = "idcuenta";
$tdatacuenta[".googleLikeFields"][] = "denominacion";
$tdatacuenta[".googleLikeFields"][] = "fecha_alta";
$tdatacuenta[".googleLikeFields"][] = "saldo";
$tdatacuenta[".googleLikeFields"][] = "estado";
$tdatacuenta[".googleLikeFields"][] = "idusuario";


$tdatacuenta[".advSearchFields"][] = "denominacion";
$tdatacuenta[".advSearchFields"][] = "fecha_alta";
$tdatacuenta[".advSearchFields"][] = "saldo";
$tdatacuenta[".advSearchFields"][] = "estado";
$tdatacuenta[".advSearchFields"][] = "idusuario";

$tdatacuenta[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatacuenta[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacuenta[".strOrderBy"] = $tstrOrderBy;

$tdatacuenta[".orderindexes"] = array();

$tdatacuenta[".sqlHead"] = "SELECT idcuenta,   denominacion,   fecha_alta,   saldo,   estado,   idusuario";
$tdatacuenta[".sqlFrom"] = "FROM cuenta";
$tdatacuenta[".sqlWhereExpr"] = "";
$tdatacuenta[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacuenta[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacuenta[".arrGroupsPerPage"] = $arrGPP;

$tableKeyscuenta = array();
$tableKeyscuenta[] = "idcuenta";
$tdatacuenta[".Keys"] = $tableKeyscuenta;

$tdatacuenta[".listFields"] = array();
$tdatacuenta[".listFields"][] = "denominacion";
$tdatacuenta[".listFields"][] = "fecha_alta";
$tdatacuenta[".listFields"][] = "saldo";
$tdatacuenta[".listFields"][] = "estado";
$tdatacuenta[".listFields"][] = "idusuario";

$tdatacuenta[".viewFields"] = array();

$tdatacuenta[".addFields"] = array();
$tdatacuenta[".addFields"][] = "fecha_alta";
$tdatacuenta[".addFields"][] = "denominacion";
$tdatacuenta[".addFields"][] = "saldo";

$tdatacuenta[".inlineAddFields"] = array();
$tdatacuenta[".inlineAddFields"][] = "denominacion";
$tdatacuenta[".inlineAddFields"][] = "saldo";
$tdatacuenta[".inlineAddFields"][] = "estado";

$tdatacuenta[".editFields"] = array();
$tdatacuenta[".editFields"][] = "denominacion";
$tdatacuenta[".editFields"][] = "fecha_alta";
$tdatacuenta[".editFields"][] = "saldo";

$tdatacuenta[".inlineEditFields"] = array();

$tdatacuenta[".exportFields"] = array();
$tdatacuenta[".exportFields"][] = "idcuenta";
$tdatacuenta[".exportFields"][] = "denominacion";
$tdatacuenta[".exportFields"][] = "fecha_alta";
$tdatacuenta[".exportFields"][] = "saldo";
$tdatacuenta[".exportFields"][] = "estado";
$tdatacuenta[".exportFields"][] = "idusuario";

$tdatacuenta[".printFields"] = array();

//	idcuenta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "idcuenta";
	$fdata["GoodName"] = "idcuenta";
	$fdata["ownerTable"] = "cuenta";
	$fdata["Label"] = "ID Cuenta"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idcuenta"; 
		$fdata["FullName"] = "idcuenta";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatacuenta["idcuenta"] = $fdata;
//	denominacion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "denominacion";
	$fdata["GoodName"] = "denominacion";
	$fdata["ownerTable"] = "cuenta";
	$fdata["Label"] = "Denominación"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "denominacion"; 
		$fdata["FullName"] = "denominacion";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=45";
	
		$edata["inputStyle"] = " width:250px;";
	$edata["controlWidth"] = 250;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatacuenta["denominacion"] = $fdata;
//	fecha_alta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "fecha_alta";
	$fdata["GoodName"] = "fecha_alta";
	$fdata["ownerTable"] = "cuenta";
	$fdata["Label"] = "Fecha Alta"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "fecha_alta"; 
		$fdata["FullName"] = "fecha_alta";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Datetime");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 11; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		$edata["inputStyle"] = " width:100px;";
	$edata["controlWidth"] = 100;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatacuenta["fecha_alta"] = $fdata;
//	saldo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "saldo";
	$fdata["GoodName"] = "saldo";
	$fdata["ownerTable"] = "cuenta";
	$fdata["Label"] = "Saldo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "saldo"; 
		$fdata["FullName"] = "saldo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Number");
	
		
		
		
			
		
		$vdata["DecimalDigits"] = 0;
	
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:140px;";
	$edata["controlWidth"] = 140;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatacuenta["saldo"] = $fdata;
//	estado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "estado";
	$fdata["GoodName"] = "estado";
	$fdata["ownerTable"] = "cuenta";
	$fdata["Label"] = "Estado"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		$fdata["bInlineAdd"] = true; 
	
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "estado"; 
		$fdata["FullName"] = "estado";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatacuenta["estado"] = $fdata;
//	idusuario
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "idusuario";
	$fdata["GoodName"] = "idusuario";
	$fdata["ownerTable"] = "cuenta";
	$fdata["Label"] = "Usuario en ejercicio"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idusuario"; 
		$fdata["FullName"] = "idusuario";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "idusuario";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nombres";
	
		
	$edata["LookupTable"] = "usuario";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatacuenta["idusuario"] = $fdata;

	
$tables_data["cuenta"]=&$tdatacuenta;
$field_labels["cuenta"] = &$fieldLabelscuenta;
$fieldToolTips["cuenta"] = &$fieldToolTipscuenta;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["cuenta"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["cuenta"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_cuenta()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "idcuenta,   denominacion,   fecha_alta,   saldo,   estado,   idusuario";
$proto0["m_strFrom"] = "FROM cuenta";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "idcuenta",
	"m_strTable" => "cuenta"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "denominacion",
	"m_strTable" => "cuenta"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_alta",
	"m_strTable" => "cuenta"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "saldo",
	"m_strTable" => "cuenta"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "estado",
	"m_strTable" => "cuenta"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "idusuario",
	"m_strTable" => "cuenta"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto17=array();
$proto17["m_link"] = "SQLL_MAIN";
			$proto18=array();
$proto18["m_strName"] = "cuenta";
$proto18["m_columns"] = array();
$proto18["m_columns"][] = "idcuenta";
$proto18["m_columns"][] = "denominacion";
$proto18["m_columns"][] = "fecha_alta";
$proto18["m_columns"][] = "saldo";
$proto18["m_columns"][] = "estado";
$proto18["m_columns"][] = "idusuario";
$obj = new SQLTable($proto18);

$proto17["m_table"] = $obj;
$proto17["m_alias"] = "";
$proto19=array();
$proto19["m_sql"] = "";
$proto19["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto19["m_column"]=$obj;
$proto19["m_contained"] = array();
$proto19["m_strCase"] = "";
$proto19["m_havingmode"] = "0";
$proto19["m_inBrackets"] = "0";
$proto19["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto19);

$proto17["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto17);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_cuenta = createSqlQuery_cuenta();
						$tdatacuenta[".sqlquery"] = $queryData_cuenta;
	
if(isset($tdatacuenta["field2"])){
	$tdatacuenta["field2"]["LookupTable"] = "carscars_view";
	$tdatacuenta["field2"]["LookupOrderBy"] = "name";
	$tdatacuenta["field2"]["LookupType"] = 4;
	$tdatacuenta["field2"]["LinkField"] = "email";
	$tdatacuenta["field2"]["DisplayField"] = "name";
	$tdatacuenta[".hasCustomViewField"] = true;
}

include_once(getabspath("include/cuenta_events.php"));
$tableEvents["cuenta"] = new eventclass_cuenta;
$tdatacuenta[".hasEvents"] = true;

$cipherer = new RunnerCipherer("cuenta");

?>